! Ordin 3:
! j =f/(a1*om1+a2*om2)
! Ordin 4, 5:
! j =f/(a1*om1+a2*om2+a3*om3)
! (j --> jf)

subroutine gen_Num(om1, om2, om3, num)
use work

real num

select case(order)

case(3)
num =a1*om1+a2*om2

case(4,5)
num =a1*om1+a2*om2+a3*om3

case default
num =a1*om1+a2*om2

end select

END